## org.apache.myfaces.component.html.util
Class ExtensionsFilter

    java.lang.Object
      org.apache.myfaces.component.html.util.ExtensionsFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class ExtensionsFilter
extends java.lang.Object
implements javax.servlet.Filter

This filters is mandatory for the use of many components. It handles the Multipart requests (for file upload) It's used by the components that need javascript libraries

Version:
  $Revision: 233469 $ $Date: 2005-08-19 08:08:12 -0400 (Fri, 19 Aug 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: mmarinschek $)

Constructor Summary
`ExtensionsFilter()`

Method Summary
`void` `destroy()` Destroy method for this filter
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig filterConfig)` Init method for this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionsFilter

    public ExtensionsFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Init method for this filter

  Specified by:
    `init` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroy method for this filter

  Specified by:
    `destroy` in interface `javax.servlet.Filter`